Bug 921 - Making PAM let only members of wheel su root [pam_wheel.so]
Summary: Making PAM let only members of wheel su root [pam_wheel.so]
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-22 17:21 UTC by dwayne
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-26 21:52:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dwayne 1999-01-22 17:21:59 UTC
This is just a note to anyone wanting to have only members
of the wheel group su root.  By default RedHat has the GID
of the wheel group set to be 10.  However, PAM assumes it's
0.  Even if you change the file /etc/group (and /etc/group-
for good measure) so that wheel has GID=0, it still doesn't
work (for me at least :)  However by placing group=wheel at
the end of the first auth line, all will be well!  So the
auth lines of /etc/pam.d/su should be something like:

auth  required  /lib/security/pam_wheel.so group=wheel
auth  required  /lib/security/pam_pwdb.so shadow nullok

Comment 1 Preston Brown 1999-03-26 19:57:59 UTC
Michael, has this been dealt with/fixed/worked around/whatever?

Comment 2 Michael K. Johnson 1999-03-26 21:52:59 UTC
This is not a bug and does not need to be dealt with/fixed/worked
around/whatever.


Note You need to log in before you can comment on or make changes to this bug.